Bug 963630 - realm permit works only with predefined login-formats
realm permit works only with predefined login-formats
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985800
  Show dependency treegraph
 
Reported: 2013-05-16 05:44 EDT by Patrik Kis
Modified: 2015-02-18 06:11 EST (History)
3 users (show)

See Also:
Fixed In Version: realmd-0.14.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 985800 (view as bug list)
Environment:
Last Closed: 2015-02-18 06:11:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2013-05-16 05:44:52 EDT
Description of problem:
The realmd permit strictly requires the defined login-format, while sssd accepts other formats too, like NetBios name or domain name.

Version-Release number of selected component (if applicable):
realmd-0.14.1-1.fc19.x86_64
sssd-1.10.0-5.fc19.beta1.x86_64

How reproducible:
always

Steps to Reproduce:
[root@pkis ~]# realm list
ad.baseos.qe
  type: kerberos
  realm-name: AD.BASEOS.QE
  domain-name: ad.baseos.qe
  configured: kerberos-member
  server-software: active-directory
  client-software: sssd
  required-package: sssd
  required-package: adcli
  required-package: samba-common
  login-formats: %U@ad.baseos.qe
  login-policy: allow-realm-logins
[root@pkis ~]# realm permit Bender@ad.baseos.qe
[root@pkis ~]# realm list 
ad.baseos.qe
  type: kerberos
  realm-name: AD.BASEOS.QE
  domain-name: ad.baseos.qe
  configured: kerberos-member
  server-software: active-directory
  client-software: sssd
  required-package: sssd
  required-package: adcli
  required-package: samba-common
  login-formats: %U@ad.baseos.qe
  login-policy: allow-permitted-logins
  permitted-logins: bender@ad.baseos.qe
  permitted-groups: 
[root@pkis ~]# realm permit Bender@ad
See: journalctl REALMD_OPERATION=r1148.3620
realm: Couldn't change permitted logins: Invalid login argument 'Bender@ad' does not match the login format.
[root@pkis ~]# realm permit AD\\Bender
See: journalctl REALMD_OPERATION=r1153.3624
realm: Couldn't change permitted logins: Invalid login argument 'AD\Bender' does not match the login format.
[root@pkis ~]# 

but ...

[root@pkis ~]# id Bender@ad
uid=1197601112(bender@ad.baseos.qe) gid=1197600513(domain users@ad.baseos.qe) groups=1197600513(domain users@ad.baseos.qe),1197601109(planet express@ad.baseos.qe),1197601110(test users@ad.baseos.qe)
[root@pkis ~]# id AD\\Bender
uid=1197601112(bender@ad.baseos.qe) gid=1197600513(domain users@ad.baseos.qe) groups=1197600513(domain users@ad.baseos.qe),1197601109(planet express@ad.baseos.qe),1197601110(test users@ad.baseos.qe)
[root@pkis ~]# 

I believe this is sssd feature but it would be nice if realmd would be more flexible too, if it is possible.
If not the man page should be updated accordingly to use the login-format with permit. Currently it says:

PERMIT
       Permit local login by users of the realm.

           $ realm permit --all
           $ realm permit DOMAIN\User
           $ realm permit DOMAIN\User2
           $ realm permit --withdraw DOMAIN\User

BTW, there is a typo in man page in PERMIT section:
       --realm, -R
           Specify the of the realm to change login policy for.
                         ^ ... missing "name", I believe
Comment 1 Jakub Hrozek 2013-05-16 10:31:52 EDT
This is a limitation of the simple access provider, too. It only accepts plain usernames. I think it makes sense from SSSD's point of view because the reason fully qualified names are used is to specify both user and domain and the simple access provider is already configured in a domain..

But currently I can't think of a way the realmd could use the plain user name as both the way the FQDN is parsed in and then back to fqdn is inside the SSSD. So I think the only way to fix this would be to amend the simple access provider so that it accepts FQDNs too.
Comment 2 Stef Walter 2013-07-22 08:41:38 EDT
I agree with Jakub. The reason realmd wants a fully qualified user name is because in the future when sssd does support fully qualified names in the simple access lists, we don't want to have painted ourselves in a corner.

So I think for now this is NOTABUG.
Comment 3 Fedora End Of Life 2015-01-09 17:33:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:11:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.